{
  "pluginAlias": "HomeLocation",
  "pluginType": "platform",
  "singular": true,
  "schema": {
    "type": "object",
    "properties": {
      "name": {
        "title": "Name",
        "type": "string",
        "required": true,
        "default": "Example Dynamic Platform"
      },
      "refImageDirectory": {
        "title": "RefImageDirectory",
        "type": "string",
        "required": true
      },
      "trainedModelDirectory": {
        "title": "TrainedModelDirectory",
        "type": "string",
        "required": true
      },
      "rooms": {
        "title": "Rooms",
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "name": {
              "title": "Name",
              "type": "string",
              "required": true
            },
            "rtspCameraConnectionString": {
              "title": "RtspCameraConnectionString",
              "type": "string",
              "required": true
            }
          }
        }
      }
    }
  }
}
